#include <iostream>
#include <bits/stdc++.h>

using namespace std;

int main()
{
    int N,M;
    vector<int> druzeljubivost;
    vector<pair(int x, int y)> parovi;
    vector<int> poznanstva;
    bool pozitivni=true;
    int maxsreca=0;
    int x,y;
    cin>>N;
    cin>>M;
    for(int i=0;i<N;i++)
    {
        cin>>x;
        druzeljubivost.push_back(x);
        if(druzeljubivost[i]<0)
            pozitivni=false;
    }
    for(int i=0;i<M;i++)
    {
        cin>>x;
        cin>>y;
        parovi.push_back(make_pair(x,y));
        poznanstva[parovi[i].first]++;
        poznanstva[parovi[i].second]++;
    }
    if(pozitivni)
    {
        for(i=0;i<N;i++)
            maxsreca+=druzeljubivost[i]*poznanstva[i];
    }

    cout<<maxsreca;
    return 0;
}